# Uses of Class
org.eclipse.gef.graph.Edge.Builder

## Uses of Edge.Builder in org.eclipse.gef.graph

Fields in org.eclipse.gef.graph with type parameters of type Edge.Builder
Modifier and Type
Field
Description
`protected List<Edge.Builder>`
Graph.Builder.Context.`edgeBuilders`
`Edge.Builder`s, which are part of the builder chain.
Methods in org.eclipse.gef.graph that return Edge.Builder
Modifier and Type
Method
Description
`Edge.Builder`
Edge.Builder.`attr(String key, Object value)`
Puts the given key-value-pair into the `attributesProperty map` of the `Edge` which is constructed by this `Edge.Builder`.
`<T> Edge.Builder`
Edge.Builder.`attr(BiConsumer<Edge,T> setter, T value)`
Uses the given setter to set the attribute value.
`Edge.Builder`
Edge.Builder.`edge(Object sourceNodeOrKey, Object targetNodeOrKey)`
Constructs a new `Edge.Builder`.
`Edge.Builder`
Graph.Builder.`edge(Object sourceNodeOrKey, Object targetNodeOrKey)`
Constructs a new `Edge.Builder`.
`Edge.Builder`
Node.Builder.`edge(Object sourceNodeOrKey, Object targetNodeOrKey)`
Constructs a new `Edge.Builder`.